* {
    box-sizing: border-box;
}

body {
    font-family: "Comic Sans MS", 'Trebuchet MS', Georgia;
    color: rgb(255, 187, 0);
    background-color: rgb(255, 187, 0);
    background-image: url("img/bg.png");
    cursor: url("img/cursor.png"), auto;
}

main {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 20px 0px 20px 0px;
}

#container {
    display: flex;
    flex-direction: column;
    row-gap: 20px;
    overflow: scroll;
    border: 15px double white;
    border-radius: 20px;
    background-color: rgb(255, 243, 131);
    background-image: url("img/bg3.png");
    width: 40%;
    max-width: fit-content;
    min-width: min-content;
    height: 100%;
    padding: 20px;
}

#profile {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    column-gap: 20px;
}

#icon-links {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#icon-links h1 {
    margin: 10px;
}

#icon {
    border-radius: 20px;
    width: 12rem;
    height: auto;
}

#bio {
    padding: 20px;
    background-color: white;
    border-radius: 20px;
    overflow: scroll;
    height: 256px;
    width: 100%;
}

#bio h1, h2, h3 {
    margin: 0px;
}

#description {
    padding: 20px;
    background-color: white;
    border-radius: 20px;
    overflow: scroll;
    max-height: 35rem;
    min-height: min-content;
}

#description p {
    margin: 0px;
}


a {
    color: inherit;
    text-decoration: none;
}

a:hover {
    cursor: url("img/cursor-hover.png"), auto;
    color: rgb(255, 143, 39);
}

@media screen and (max-width: 600px) {
    #container {
        width: 400px;
        height: auto;
    }
    
    #profile {
        flex-direction: column;
    }
}

@media screen and (max-width: 992px) {
    #container {
        width: 600px;
        height: auto;
    }
}